require "./zone"

class Prompt
  getter prelude_zone = Zone.new()
  getter system_zone = Zone.new(tag: "system")
  getter past_zone = Zone.new(tag: "before")
  getter present_zone = Zone.new(tag: "current")
  getter future_zone = Zone.new(tag: "after")

  def zones() : Array(Zone)
    return [
      system_zone,
      past_zone,
      present_zone,
      future_zone
    ]
  end
end


